// -*- mode: c; -*-

uniform highp mat4 mvp; // modelViewProjection
attribute highp vec3 position; // vertex position

#ifdef NO_VCOLOR
	// Nothing
#else
	attribute lowp vec4 color0;
	varying lowp vec4 varyingVertexColor;
#endif

#ifdef DEPTH_COMP
    varying highp vec4 projPosition;
#endif

void main()
{
    gl_Position = mvp * vec4(position, 1.0);
#ifdef DEPTH_COMP
    gl_Position = projPosition;
#else
# ifdef NO_VCOLOR
    // Nothing 
# else
    varyingVertexColor = color0;
# endif
#endif
}



