// -*- mode: c; -*-

uniform sampler2D tex0;
uniform lowp sampler2D tex0_alpha;
uniform lowp vec4 global_color;
uniform lowp vec4 additive_color;
uniform lowp vec4 additive_percent;
varying mediump vec2 vTexcoord;
varying lowp vec4 vColor;

void main()
{
    lowp vec4 color = texture2D(tex0, vTexcoord);
	lowp vec4 colorAlpha = texture2D(tex0_alpha, vTexcoord);
	color.a = colorAlpha.r;
	color = (color + global_color)*vColor;
	
	gl_FragColor.rgb = (color.rgb*additive_percent.rgb) + additive_color.rgb;
	
	gl_FragColor.a = color.a * additive_percent.a;

	 
}