// -*- mode: c; -*-

uniform lowp sampler2D tex0;
uniform lowp sampler2D tex0_alpha;
uniform lowp vec4 global_color;
uniform lowp vec4 additive_color;
uniform lowp vec4 additive_percent;

uniform lowp vec4 colormetrix_r;
uniform lowp vec4 colormetrix_g;
uniform lowp vec4 colormetrix_b;

varying mediump vec2 vTexcoord;
varying lowp vec4 vColor;

void main()
{
    // fix mi, additive color
	lowp vec4 color = texture2D(tex0, vTexcoord);
	lowp vec4 colorAlpha = texture2D(tex0_alpha, vTexcoord);
	color.a = colorAlpha.r;
	color = (color + global_color)*vColor;
	
	
    lowp vec3 colort;
	colort = (color.rgb*additive_percent.rgb) + additive_color.rgb;
	
	gl_FragColor.r = colort.r * colormetrix_r.r + colort.g * colormetrix_r.g + colort.b * colormetrix_r.b + colormetrix_r.w;
	gl_FragColor.g = colort.r * colormetrix_g.r + colort.g * colormetrix_g.g + colort.b * colormetrix_g.b + colormetrix_g.w;
	gl_FragColor.b = colort.r * colormetrix_b.r + colort.g * colormetrix_b.g + colort.b * colormetrix_b.b + colormetrix_b.w;
	gl_FragColor.a = color.a * additive_percent.a;
	 
}