// -*- mode: c; -*-

uniform sampler2D tex0;
varying mediump vec2 vTexcoord;
varying lowp 	vec4 vColor;
uniform mediump float gray_factor;

void main()
{
    lowp vec4 color = (texture2D(tex0, vTexcoord)) * vColor;
	lowp float grayColor = (color.r + color.g + color.b) * 0.33;
	color.rgb = mix(color.rgb, vec3(grayColor,grayColor,grayColor), gray_factor);	
	gl_FragColor = color;
}
